/* Start auto_increment with 11 to avoid customer data conflict */
DROP TABLE IF EXISTS `helpdesk_categories`;
CREATE TABLE IF NOT EXISTS `helpdesk_categories` (
  `category_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `category` varchar(250) DEFAULT NULL,
  `main_id` int(11) unsigned DEFAULT NULL,
  `description` text,
  `display` tinyint(3) NOT NULL DEFAULT '1',
  `grouping` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

INSERT INTO `helpdesk_categories` (`category_id`, `category`, `main_id`, `description`, `display`, `grouping`) VALUES
(1, 'Signup', 0, 'Description for Signup', 1, 1),
(2, 'Transactions', 0, 'Description for Orders', 1, 2),
(3, 'Dashboard', 0, 'Description for Type of Dashboard', 1, 3),
(4, 'Appointments', 0, 'Description for Appointments', 1, 4),
(5, 'Messages', 0, 'Description for Messages', 1, 5),
(6, 'Site Postings', 0, 'Description for Site Postings', 1, 6),
(7, 'Account Settings', 0, 'Description for Account Settings', 1, 7);


/* Start auto_increment with 101 to avoid customer data conflict */
DROP TABLE IF EXISTS `helpdesk_questions`;
CREATE TABLE IF NOT EXISTS `helpdesk_questions` (
  `question_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(11) unsigned DEFAULT NULL,
  `question` varchar(250) DEFAULT NULL,
  `answer` text,
  `related_show` char(10) DEFAULT NULL,
  `related_question` text,
  `attachment` varchar(250) DEFAULT NULL,
  `grouping` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`question_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=101 ;

INSERT INTO `helpdesk_questions` (`question_id`, `category_id`, `question`, `answer`, `related_show`, `related_question`, `attachment`, `grouping`) VALUES
(1, 1, 'What are the benefits of signing up for an account?', '<p>You can use all of the online functions in your account area when you do so:</p>\r\n\r\n<p>1. See your purchases and/or sales transactions. <br />\r\n2. Request appointments online.<br />\r\n3. Communicate with our support staff via internal messaging function.<br />\r\n4. Submit postings to the site content areas.<br />\r\n5. Edit your profile information, including contact information.</p>\r\n', '', '', '', 1),
(2, 1, 'Which membership package should I pick?', '<p>Review the different packages offered, and feel free to contact us for more information.</p>\r\n', '', '', '', 1),
(3, 1, 'I have signed up but no email has been received. Why?', '<p>Check your Spam folder in your email client to see if there is any item in there. There may also be an email delay. If the problem presists, contact us for help.</p>\r\n', '', '', '', 1),
(4, 1, 'How can I retrive or reset my password?', '<p>Go to the Account Login page and click on Help in the login box. Enter your email address to retrieve the password. Give it a few minutes and be sure to check your Spam folder if you don&#39;t see it in the Inbox.</p>\r\n', '', '', '', 1),
(5, 1, 'Why don''t I see all of the features mentioned in this FAQ?', '<p>Some of the features in My Account area may have been turned off. Feel free to contact us for more information.</p>\r\n', '', '', '', 1),
(6, 1, 'What is Facebook Connect?', '<p>Facebook Connect is a quick way to link your Facebook account with this site. You can use it to log in and transfer some of the information to this site. However, you can edit and put in different information in Account Settings section.</p>\r\n', '', '', '', 1),
(21, 2, 'How often is the information in Dashboard got updated?', '<p>Dashboard is usually updated right after an activity is performed. You may want to refresh it from time to time. Press Ctrl+R keys or just visit another page and then come back to it.</p>\r\n', '', '', '', 1),
(22, 2, 'How do I keep track of my purchase orders?', '<p>Go to Transactions section in your account area&nbsp;to see a history&nbsp;of your orders. You can click open each listing to see more details.</p>\r\n', '', '', '', 2),
(23, 2, 'What shall I do if I suspect an error in my purchase?', '<p>Check your Paypal or bank account first to see if there is any charge. If not, you are ok. But if there is any charge error, please contact us for assistance.</p>\r\n', '', '', '', 3),
(24, 2, 'Do you store my credit card information when I make an online purchases?', '<p>No. When you pay for any products or services offered on this site, you are actually doing it at the marchant site, e.g. Paypal. The merchant that you use does store your credit card information.</p>\r\n', '', '', '', 4),
(31, 3, 'What information is displayed in Dashboard?', '<p>Dashboard provides a quick summary of activities within a specific timeframe. You can use the links provided to navigate to the activities directly. This way, you don&#39;t need to check everywhere for them.</p>\r\n', '', '', '', 1),
(41, 4, 'How easy is it for me to request an appointment online?', '<p>Your appointment request is done in real time. This means that when you request a slot of time for appointment, that slot is booked immediately. However, it doesn&#39;t mean that you are guaranteed to be scheduled for that time slot. Wait for a confirmation.</p>\r\n', '', '', '', 1),
(42, 4, 'Will it better for me to call for an appointment?', '<p>Feel free to call if you cannot use the online appointment function. If it&#39;s off hours, do use the online appointment function so that you can get in sooner.</p>\r\n', '', '', '', 1),
(51, 5, 'How does messaging work?', '<p>You can send internal messages to Support for technical assistance and sales service.</p>\r\n\r\n<p>Log into your account and visit Messages section to use the messaging function. Your messages are read and replied by our staff members.</p>\r\n\r\n<p>&nbsp;</p>\r\n', '', '', '', 1),
(52, 5, 'When can I expect a reply after sending a message to Support?', '<p>This all depends on the type of message you send and what needs to be done. Rest assured that we will respond as soon as we can.</p>\r\n', '', '', '', 1),
(61, 6, 'How does membership affect my posting?', 'It depends on how the membership is configured. You may need to pay a subscription fee to post, and the posting may be limited to a certain number.', '', '', '', 1),
(62, 6, 'When will my posting be approved for display?', 'If there is no approval required, your posting will appear immediately after it''s posted. If review is needed, it may take some time.', '', '', '', 1),
(63, 6, 'What is your general policy for posting any content?', 'Post original content that is relevant to the site users. Do not use copyrighted materials without permission. Be considerate and nice to others.', '', '', '', 1),
(71, 7, 'Where do I change my personal information?', '<p>Log into your account and go to Account Settings page to change your personal information. You can switch membership package in Profile page. If the package requires a fee, you will be prompted for payment after saving your selection. The membership will not change until you have paid for the package.</p>\r\n', '', '', '', 1),
(72, 7, 'How can I change my password?', 'Log into your account and go to Account Settings section to change the password. ', '', '', '', 1),
(73, 7, 'What kind of security is used to safeguard my information?', '<p>Your profile data is encrypted using 192 bit keys, 24 byte blocks, and cipher block chaining methods. So even if a hacker gets a hold of the database, it would be impossible to see the data.</p>\r\n', '', '', '', 1);


DROP TABLE IF EXISTS `helpdesk_replies`;
CREATE TABLE IF NOT EXISTS `helpdesk_replies` (
  `reply_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ticket_id` int(11) unsigned DEFAULT NULL,
  `updated` datetime DEFAULT NULL,
  `message` text,
  `attachment` text,
  `type` char(10) DEFAULT NULL,
  `paymentplan` char(10) DEFAULT NULL,
  `price1` double(10,2) DEFAULT NULL,
  `price2` double(10,2) DEFAULT NULL,
  `price3` double(10,2) DEFAULT NULL,
  `price4` double(10,2) DEFAULT NULL,
  `price5` double(10,2) DEFAULT NULL,
  `payment_date` text NOT NULL,
  `payment_status` varchar(30) NOT NULL,
  `reply_url` text,
  PRIMARY KEY (`reply_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `helpdesk_replies` (`reply_id`, `ticket_id`, `updated`, `message`, `attachment`, `type`, `paymentplan`, `price1`, `price2`, `price3`, `price4`, `price5`, `payment_date`, `payment_status`, `reply_url`) VALUES
(1, 1, DATE_SUB(NOW(),INTERVAL 3 DAY), 'I apologize for the CD problem. I will send you a new one right away.', '', 'S', '', 0.00, 0.00, 0.00, 0.00, 0.00, '', '', ''),
(2, 2, DATE_SUB(NOW(),INTERVAL 5 DAY), 'Yes, Alixe.\r\n\r\nEnclosed is a pdf brochure for your use. Please let me know if you have any more question.', '', 'S', '', 0.00, 0.00, 0.00, 0.00, 0.00, '', '', ''),
(3, 3, DATE_SUB(NOW(),INTERVAL 3 DAY), 'I''m sorry to hear about your problem. I do need more information from you. Please provide the manufacturer name and model number for both your phone and data cable.', '', 'S', '', 0.00, 0.00, 0.00, 0.00, 0.00, '', '', ''),
(4, 3, DATE_SUB(NOW(),INTERVAL 1 DAY), 'Enclosed please find the requested info.', '', 'U', '', 0.00, 0.00, 0.00, 0.00, 0.00, '', '', ''),
(5, 3, DATE_SUB(NOW(),INTERVAL 1 DAY), 'You forgot to include the requested info. Please post it to me using the file upload function in the ticket.', '', 'S', '', 0.00, 0.00, 0.00, 0.00, 0.00, '', '', '');


/* Also update "Use Default" data in Model setting file. */
DROP TABLE IF EXISTS `helpdesk_settings`;
CREATE TABLE IF NOT EXISTS `helpdesk_settings` (
  `useroption` varchar(100) NOT NULL DEFAULT '',
  `setting` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `helpdesk_settings` (`useroption`, `setting`) VALUES
('helpdesk_homepage_display', 'header_general'),
('helpdesk_homepage_header', ''),
('helpdesk_homepage_info', 'Our support staff is here to serve your needs. Please let us know how we can be of assistance:'),
('helpdesk_homepage_content', ''),
('helpdesk_categories', 'Yes'),
('helpdesk_column_number', '2'),
('helpdesk_sortcategories', 'by_table_id'),
('helpdesk_qadisplaycount', '3'),
('helpdesk_numbering', 'type1'),
('helpdesk_firstticketnum', '101'),
('helpdesk_priorityno', '4'),
('helpdesk_priority1', 'Low'),
('helpdesk_priority2', 'Normal'),
('helpdesk_priority3', 'High'),
('helpdesk_priority4', 'Urgent'),
('helpdesk_priority5', ''),
('helpdesk_priority6', ''),
('helpdesk_priority7', ''),
('helpdesk_priority8', ''),
('helpdesk_priority9', ''),
('helpdesk_priority10', ''),
('helpdesk_recipientno', '0'),
('helpdesk_recipientname1', ''),
('helpdesk_recipientemail1', ''),
('helpdesk_recipientname2', ''),
('helpdesk_recipientemail2', ''),
('helpdesk_recipientname3', ''),
('helpdesk_recipientemail3', ''),
('helpdesk_recipientname4', ''),
('helpdesk_recipientemail4', ''),
('helpdesk_recipientname5', ''),
('helpdesk_recipientemail5', ''),
('helpdesk_purchasealert', 'Yes'),
('helpdesk_purchasesubject', 'Congratulation! You Got a New Order'),
('helpdesk_purchasebody', 'Here''s a summary of the order:\r\n\r\n[order_summary]'),
('helpdesk_orderalert', 'Yes'),
('helpdesk_ordersubject', 'Thank You for Your Purchase'),
('helpdesk_orderbody', 'Here''s a summary of your order. We will follow up with you shortly.\r\n\r\n[order_summary]'),
('helpdesk_openedalert', 'Yes'),
('helpdesk_openedsubject', 'Service Ticket #[ticket_id] Opened'),
('helpdesk_openedbody', 'Hi [first_name_last_name],\r\n\r\nWe will review your request and provide an update soon. Please be patient with us.\r\n\r\nYou can see your request at [ticket_url].\r\n\r\nRegards,\r\nSupport Team\r\n\r\n'),
('helpdesk_ticketalert', 'Yes'),
('helpdesk_ticketalertsubject', 'Service Ticket #[ticket_id] Opened'),
('helpdesk_ticketalertmessage', 'Hi Team,\r\n\r\nA new request has been received. Please see the details below.\r\n\r\n[details]'),
('helpdesk_respondedalert', 'Yes'),
('helpdesk_respondedsubject', 'Service Ticket #[ticket_id] Responded'),
('helpdesk_respondedbody', 'Hi [first_name_last_name],\r\n\r\nWe have responded to your request. Please click on the link below for more information:\r\n\r\n[ticket_url]\r\n\r\nRegards,\r\nSupport Team\r\n\r\n'),
('helpdesk_repliedalert', 'Yes'),
('helpdesk_repliedsubject', 'Service Ticket #[ticket_id] Updated by Requester'),
('helpdesk_repliedmessage', 'Hi Team,\r\n\r\nThe requester has posted an update to the ticket. Please see the details below.\r\n\r\n[details]'),
('helpdesk_refreshtime', '5'),
('helpdesk_human_verification', '0'),
('rate_id', '16');


DROP TABLE IF EXISTS `helpdesk_tickets`;
CREATE TABLE IF NOT EXISTS `helpdesk_tickets` (
  `ticket_id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `opened` datetime DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `name` varchar(250) DEFAULT NULL,
  `company` varchar(150) NOT NULL,
  `email_address` varchar(250) DEFAULT NULL,
  `phone` varchar(50) DEFAULT NULL,
  `updated` datetime DEFAULT NULL,
  `type_id` int(11) UNSIGNED DEFAULT NULL,
  `priority` varchar(30) DEFAULT NULL,
  `sticky` char(3) DEFAULT 'off',
  `status` varchar(20) DEFAULT NULL,
  `subject` varchar(250) DEFAULT NULL,
  `message` text,
  `attachment` TEXT NULL,
  `reply_url` text,
  `responded_replied` char(10) DEFAULT NULL,
  `source` varchar(100) NOT NULL,
  PRIMARY KEY (`ticket_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `helpdesk_tickets` (`ticket_id`, `opened`, `user_id`, `contact_id`, `name`, `company`, `email_address`, `phone`, `updated`, `type_id`, `priority`,  `sticky`, `status`, `subject`, `message`, `attachment`, `reply_url`, `responded_replied`) VALUES
(1, DATE_SUB(NOW(),INTERVAL 7 DAY), NULL, 1, 'Jimmy Test', 'Trazilla LLC', 'hotjimmy@gmx.com', '949-784-0343', DATE_SUB(NOW(),INTERVAL 3 DAY), 2, 'Normal', 'off', 'C', 'BlackBerry Presentation Application', 'I met Alicia at the CTIA tradeshow and wanted to get more information about your BlackBerry presentation application. The demo CD that you gave me did not work for some strange reason. Please email me with more information or send me a new CD to 123 North Virginia Street, Reno, NV 89521. Thank You.', '', '', 'Y'),
(2, DATE_SUB(NOW(),INTERVAL 5 DAY), NULL, 2, 'Nicole Test', 'Jamica Cafe', 'hotnicole@gmx.com', '972-863-2131', DATE_SUB(NOW(),INTERVAL 5 DAY), 1, 'High', 'off', 'C', 'What the heck is SuperDish?', 'Just curious about this device. Is it a WIFI/Bluetooth reception booster?', '', '', 'Y'),
(3, DATE_SUB(NOW(),INTERVAL 3 DAY), NULL, 6, 'Luther Test', 'Tamlow Hosting', 'hotluther@outlook.com', '(415) 575-5010', DATE_SUB(NOW(),INTERVAL 1 DAY), 3, 'Urgent', 'off', 'C', 'Outlook Sync Big Problem', 'I have been having Outlook sync problem with my LG data cable ever since I switch to a new phone. Can you please tell me how to fix the problem?', '', '', 'Y');


DROP TABLE IF EXISTS `helpdesk_trackings`;
CREATE TABLE IF NOT EXISTS `helpdesk_trackings` (
  `tracking_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ticket_id` int(11) unsigned DEFAULT NULL,
  `task` tinytext,
  `resource` tinytext,
  `done` char(10) DEFAULT NULL,
  `time_spent` double DEFAULT NULL,
  PRIMARY KEY (`tracking_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `helpdesk_types`;
CREATE TABLE IF NOT EXISTS `helpdesk_types` (
  `type_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `helpdesk_types` (`type_id`, `type`) VALUES
(1, 'Information Request'),
(2, 'Online Purchase'),
(3, 'Techical Support');