/*
Jobs module is using the following tables in system.sql file:
hr_departments
hr_job_applications  
hr_job_postings
hr_job_posting_application_links
*/

/* Also update "Use Default" data in Model setting file. */    
DROP TABLE IF EXISTS `jobs_settings`;
CREATE TABLE IF NOT EXISTS `jobs_settings` (
  `useroption` varchar(100) NOT NULL DEFAULT '',
  `setting` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `jobs_settings` (`useroption`, `setting`) VALUES
('jobs_homepage_display', 'header_general'),
('jobs_homepage_header', ''),
('jobs_homepage_info', 'We are committed to hiring talented individuals who are interested in doing their best in a friendly and growth-oriented work environment. We seek men and women who share our values and recognize the importance of learning, discipline, and work ethic. To explore career opportunities with us, please click on any of the links below to see detailed job descriptions. Submit your resume even if there is no current listing.'),
('jobs_homepage_content', ''),
('jobs_pageurl', ''),
('jobs_plusurl', ''),
('jobs_recentlisting', '5'),
('jobs_categories', 'Yes'),
('jobs_user', 'Yes'),
('jobs_sortcategories', 'alphabetically'),
('jobs_categorydisplay', 'departments'),
('jobs_tags', 'On'),
('jobs_search', 'Yes'),
('jobs_sortby', 'title'),
('jobs_sortas', 'ASC'),
('jobs_jobapplicationalert', 'Yes'),
('jobs_jobapplicationsubject', 'New Job Application'),
('jobs_jobapplicationmessage', '[first_name_last_name] is interested in [title] position. See more info below:\r\n\r\n[resume]'),
('jobs_addeditalert', 'Yes'),
('jobs_addeditsubject', 'Job Added/Edited'),
('jobs_addeditmessage', 'A job has been added/edited:\r\n\r\n[details]'),
('jobs_approvedalert', 'Yes'),
('jobs_approvedsubject', 'Job Approved'),
('jobs_approvedmessage', 'Congratulations! Your job posting has been approved. Please see the details below:\r\n\r\n[details]\r\n\r\nRegards,\r\n\Site Editors'),
('jobs_rejectedalert', 'Yes'),
('jobs_rejectedsubject', 'Job Rejected'),
('jobs_rejectedmessage', 'Hello, sorry we cannot accept your job posting below because it does not meet our editorial policy.\r\n\r\n[details]\r\n\r\nRegards,\r\n\Site Editors'),
('jobs_myjobs', 'No'),
('jobs_expiration', '365');