$(document).ready(function()
{
	$("#frm_details").validate(
	{
		errorElement: "div",
		rules:
		{
			'data[ContactsContact][username]': 
			{
				required: false,
				remote: 
				{
					url: check_username_url,
					type: 'post'
				}
			}
		},
		messages: 
		{
			'data[ContactsContact][username]': 
			{
				remote: "Username already in used."	
			}
		},
		errorPlacement: function(error, element) 
		{
			if(element.attr("id") == "expiration_date")
			{
				$("#expiration_date_error").append(error);
			}
			else
			{
				error.insertAfter(element);
			}
		},
		submitHandler: function(form) 
		{
			if(typeof ajax_mode != 'undefined' && ajax_mode)
			{
				$('#frm_details').css("cursor", "wait");
				$('#imgLoad').css('display', 'block');
				
				$.post(
					thisURL+'/task:save', 
					$('#frm_details').serialize(), 
					function(data)
					{
						$('#frm_details').css("cursor", "auto");
						$('#imgLoad').css('display', 'none');
						
						showInfo("Data saved.", "notice");
						
						if(typeof data['redir_url'] !== 'undefined')
						{
							loadTab($('#frm_details'), data['redir_url']);
						}
						else
						{
							loadTab($('#frm_details'), thisURL);
						}
					},
					'json'
				);
			}
			else
			{
				form.submit();
			}
		}
	});
	
    var uploader_photo = new plupload.Uploader({
        runtimes : 'html5,flash,silverlight,html4',
        browse_button : 'contact_photo_select',
        url : upload_script,
        filters : [{title : "Image files", extensions : "jpg,gif,png"}],
        chunk_size: 1048576,
        multipart_params : {
            'folder' : 'contacts'
        },
        init: {
            FilesAdded: function(up, files) {
                plupload.each(files, function(file) {
                    $('#photo_img').attr('src', webroot + 'img/blank.png');
                    $('#photo_area_div').html("Uploading: 0%");
                    
                    if(typeof initAutoLock == 'function')
                    {
                        initAutoLock();
                    }
                    
                    uploader_photo.start();
                });
            },
            UploadProgress: function(up, file) {
                $('#photo_area_div').html("Uploading: "+file.percent+"%");
            },
            FileUploaded: function(up, file, info) {
                var obj = JSON.parse(info.response);
                var uploaded_filename = obj.filename;
                var full_path_uploaded_filename = webroot+'documents/contacts/'+obj.filename;
                
                $('#photo_area_div').html("");
                $('#photo_img').attr('src', full_path_uploaded_filename);
                
                $('#photo_val').val(uploaded_filename);
                
                saveProfilePhoto(contact_id, uploaded_filename, 'photo');
                
                if(typeof initAutoLock == 'function')
                {
                    initAutoLock();
                }
            },
            Error: function(up, err) {
                //document.getElementById('console').innerHTML += "\nError #" + err.code + ": " + err.message;
            }
        }
    });
    
    uploader_photo.init();
    
    var uploader_license = new plupload.Uploader({
        runtimes : 'html5,flash,silverlight,html4',
        browse_button : 'id_card_select',
        url : upload_script,
        filters : [{title : "Image files", extensions : "jpg,gif,png"}],
        chunk_size: 1048576,
        multipart_params : {
            'folder' : 'contacts'
        },
        init: {
            FilesAdded: function(up, files) {
                plupload.each(files, function(file) {
                    $('#driving_license_img').attr('src', webroot + 'img/blank.png');
                    $('#driving_license_div').html("Uploading: 0%");
                    
                    if(typeof initAutoLock == 'function')
                    {
                        initAutoLock();
                    }
                    
                    uploader_license.start();
                });
            },
            UploadProgress: function(up, file) {
                $('#driving_license_div').html("Uploading: "+file.percent+"%");
            },
            FileUploaded: function(up, file, info) {
                var obj = JSON.parse(info.response);
                var uploaded_filename = obj.filename;
                var full_path_uploaded_filename = webroot+'documents/contacts/'+obj.filename;
                
                $('#driving_license_div').html("");
                $('#driving_license_img').attr('src', full_path_uploaded_filename);
                
                $('#driving_license_val').val(uploaded_filename);
                
                saveProfilePhoto(contact_id, uploaded_filename, 'license');
                
                if(typeof initAutoLock == 'function')
                {
                    initAutoLock();
                }
            },
            Error: function(up, err) {
                //document.getElementById('console').innerHTML += "\nError #" + err.code + ": " + err.message;
            }
        }
    });
    
    uploader_license.init();
    
    var uploader_license2 = new plupload.Uploader({
        runtimes : 'html5,flash,silverlight,html4',
        browse_button : 'id_card_select2',
        url : upload_script,
        filters : [{title : "Image files", extensions : "jpg,gif,png"}],
        chunk_size: 1048576,
        multipart_params : {
            'folder' : 'contacts'
        },
        init: {
            FilesAdded: function(up, files) {
                plupload.each(files, function(file) {
                    $('#driving_license_img2').attr('src', webroot + 'img/blank.png');
                    $('#driving_license_div2').html("Uploading: 0%");
                    
                    if(typeof initAutoLock == 'function')
                    {
                        initAutoLock();
                    }
                    
                    uploader_license2.start();
                });
            },
            UploadProgress: function(up, file) {
                $('#driving_license_div2').html("Uploading: "+file.percent+"%");
            },
            FileUploaded: function(up, file, info) {
                var obj = JSON.parse(info.response);
                var uploaded_filename = obj.filename;
                var full_path_uploaded_filename = webroot+'documents/contacts/'+obj.filename;
                
                $('#driving_license_div2').html("");
                $('#driving_license_img2').attr('src', full_path_uploaded_filename);
                
                $('#driving_license_val2').val(uploaded_filename);
                
                saveProfilePhoto(contact_id, uploaded_filename, 'license2');
                
                if(typeof initAutoLock == 'function')
                {
                    initAutoLock();
                }
            },
            Error: function(up, err) {
                //document.getElementById('console').innerHTML += "\nError #" + err.code + ": " + err.message;
            }
        }
    });
    
    uploader_license2.init();
});

var current_photo_mode = 'photo';

function saveProfilePhoto(contact_id, photo, pic_type)
{
	if(contact_id == '')
	{
		return;
	}
	
	var formobj = $("<form></form>");
	formobj.append('<input name="data[ContactsContact][contact_id]" type="hidden" value="'+contact_id+'">');
	
	if(pic_type == 'photo')
	{
		formobj.append('<input name="data[ContactsContact][contact_photo]" type="hidden" value="'+photo+'">');
		formobj.append('<input name="data[photo_type]" type="hidden" value="photo">');
	}
	else if(pic_type == 'license')
	{
		formobj.append('<input name="data[ContactsContact][id_card]" type="hidden" value="'+photo+'">');
		formobj.append('<input name="data[photo_type]" type="hidden" value="license">');
	}
	else
	{
		formobj.append('<input name="data[ContactsContact][id_card2]" type="hidden" value="'+photo+'">');
		formobj.append('<input name="data[photo_type]" type="hidden" value="license2">');
	}
	
	$.post(
		save_photo_url, 
		formobj.serialize(), 
		function(data){
			if(pic_type == 'photo')
			{
				$('#btn_delete_image').show();
			}
			else if(pic_type == 'license')
			{
				$('#btn_delete_id').show();
			}
			else
			{
				$('#btn_delete_id2').show();
			}
		}
	);
}

function delete_contact_photo(url, contact_id)
{
	getJSONDataByAjax(url, {'data[contact_id]': contact_id}, function(){}, function(data){
		$('#photo_img').attr('src', webroot + 'img/blank.png');
		$('#photo_val').val('');
		$('#photo_area_div').html('No Image');
		$('#btn_delete_image').hide();
	});
}

function delete_id_card(url, contact_id)
{
	getJSONDataByAjax(url, {'data[contact_id]': contact_id}, function(){}, function(data){
		$('#driving_license_img').attr('src', webroot + 'img/blank.png');
		$('#driving_license_val').val('');
		$('#driving_license_div').html('No Image');
		$('#btn_delete_id').hide();
	});
}

function delete_id_card2(url, contact_id)
{
	getJSONDataByAjax(url, {'data[contact_id]': contact_id}, function(){}, function(data){
		$('#driving_license_img2').attr('src', webroot + 'img/blank.png');
		$('#driving_license_val2').val('');
		$('#driving_license_div2').html('No Image');
		$('#btn_delete_id2').hide();
	});
}

